Skip to content
SENS Platform Docs

Provision a global local-password user.

POST
/v1/users
curl --request POST \
--url https://api.dev.iot-sens.schlossers.at/v1/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "username": "example", "email": "hello@example.com", "displayName": "example", "temporaryPassword": "example", "metadata": { "additionalProperty": "example" } }'
Media typeapplication/json
object
username
required
string
>= 3 characters <= 64 characters
email
required
string format: email
displayName
required
string
>= 1 characters <= 200 characters
temporaryPassword
required
string
>= 15 characters <= 128 characters
metadata
object
<= 50 properties
key
additional properties
One of:
string
Examplegenerated
{
"username": "example",
"email": "hello@example.com",
"displayName": "example",
"temporaryPassword": "example",
"metadata": {
"additionalProperty": "example"
}
}

User and forced-change credential created atomically.

Media typeapplication/json
object
userId
required
string format: uuid
username
required
One of:
string
email
required
string format: email
displayName
required
string
>= 1 characters <= 200 characters
status
required
string
Allowed values: active disabled
metadata
required
object
<= 50 properties
key
additional properties
One of:
string
platformRoles
required
Array<string>
Allowed values: platform_admin
isProtected
required
boolean
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{
"status": "active",
"platformRoles": [
"platform_admin"
]
}

A safe platform error response.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: VALIDATION_FAILED AUTHENTICATION_FAILED AUTHORIZATION_FAILED RESOURCE_NOT_FOUND CONFLICT DEPENDENCY_FAILURE FLOW_FAILURE RATE_LIMITED INTERNAL_ERROR
category
required
string
Allowed values: validation authentication authorization not_found conflict dependency_failure flow_failure rate_limit internal
message
required

Safe client-facing diagnostic message.

string
correlationId
required

Correlation ID for operational investigation.

string
>= 1 characters
details

Safe bounded diagnostic details.

object
key
additional properties
One of:
string
Example
{
"error": {
"code": "VALIDATION_FAILED",
"category": "validation"
}
}
Cache-Control
string
Allowed value: no-store